function XCreate(me)
	SetPower(me,0)
	SetHealth(me,32)
end

function XCollide(me, you)
	DamagePlayer(me,GetPower(you))
	--power = GetPower(you)
	--AddHealth(me, -power)
end

function XDeath(me)
	--Quit the game for now to avoid a crash lolz
	--Quit()
	child = CreateObject(me,"Boom","PlayerFX", 0,11,1,false)
	MoveObject(child,40,8)
end